package gotowe.p36_lokalizacja;

import java.text.DateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Locale;

public class SetDefault {

	public static void main(String[] args) {
		Date now = Calendar.getInstance().getTime();
		
		System.out.println(Locale.getDefault());
		DateFormat df1 = DateFormat.getDateInstance(DateFormat.FULL);
		System.out.println(df1.format(now));
		
		Locale.setDefault(Locale.CANADA_FRENCH);
		System.out.println(Locale.getDefault());
		System.out.println("Nowy formatter:");
		DateFormat df2 = DateFormat.getDateInstance(DateFormat.FULL);
		System.out.println(df2.format(now));

		System.out.println("Formatuje starym formatterem:");
		System.out.println(df1.format(now));
	}

}
